---
layout: default
title: Portfolio Tabulator
---

<h1>Portfolio Tabulator Test Page</h1>

<!-- JS Objects -->


<div id="tabulator-example"></div>

    <script>
        var tabledata =
        [{% for line in site.data.projects_csv.offerings %}
            { id:{{ forloop.index }},
            {% for pair in line %}
                     {{ pair[0] }}:"{{ pair[1] }}",
            {% endfor %}
            },
        {% endfor %}];
    </script>


<script src="assets/js/tabulator_functions.js"></script>

{% comment %}{% assign all_projects = site.data.projects_csv %}
<project-data id="project-data">
    {% for region_projects in all_projects %}
        {{ region_projects[1] | inspect }};
    {% endfor %}
</project-data>

<h1>another space</h1>
{% for region_projects in site.data.projects_csv %}
    <div id="test">
        {% for project in region_projects[1] %}
            <p>{{ project[0] }}</p>
            {% for pair in project %}
                {% if forloop.last %}
                    {{ pair[0] }}
                {% else %}
                    {{ pair[0] }};
                {% endif %}
            {% endfor %}
        {% endfor %}
    </div>
    <h1>next part</h1>
    <div id="data">
        {% for project in region_projects[1] %}
            {% for pair in project %}
                {% if forloop.last %}
                    {{ pair[1] }};
                {% else %}
                    {{ pair[1] }},
                {% endif %}
            {% endfor %}
        {% endfor %}
    </div>
{% endfor %}

<h1>tabulator example</h1>
<div id="tabulator-example"></div>{% endcomment %}